Package org.gradle.tooling.events.lifecycle

## Interface BuildPhaseOperationDescriptor

- All Superinterfaces:
    `OperationDescriptor`

      @Incubating
      public interface BuildPhaseOperationDescriptor
      extends OperationDescriptor

  A descriptor of a build phase operation. A build phase operation describes a phase build is in and number of build items (project to configure, task to execute) that this build phase will execute.
  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBuildItemsCount()` | Returns number of build items this phase will execute.
    `java.lang.String` | `getBuildPhase()` | Returns the build phase name.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

      `getDisplayName, getName, getParent`

- - ### Method Detail

    - #### getBuildPhase

          java.lang.String getBuildPhase()

      Returns the build phase name. Can be one of: CONFIGURE_ROOT_BUILD, CONFIGURE_BUILD, RUN_MAIN_TASKS, RUN_WORK.

    - #### getBuildItemsCount

          int getBuildItemsCount()

      Returns number of build items this phase will execute. For configuration phase this is a number of projects to configure, for build phase this is a number of tasks to run.